Package com.pixelmed.dicom

# Class DicomDirectoryBrowser

java.lang.Object
com.pixelmed.dicom.DicomDirectoryBrowser

public class DicomDirectoryBrowser extends Object

## Constructor Summary

Constructors
Constructor
Description
`DicomDirectoryBrowser(AttributeList list, String parentFilePath)`
`DicomDirectoryBrowser(AttributeList list, String parentFilePath, JFrame frame)`
`DicomDirectoryBrowser(AttributeList list, String parentFilePath, JScrollPane treeBrowserScrollPane, JScrollPane attributeBrowserScrollPane)`

## Method Summary

Modifier and Type
Method
Description
`protected MouseListener`
`buildMouseListenerToDetectDoubleClickEvents()`
`protected TreeSelectionListener`
`buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord(JScrollPane attributeBrowserScrollPane)`
`protected TreeSelectionListener`
`buildTreeSelectionListenerToDoSomethingWithSelectedFiles(String parentFilePath)`
`protected HashSet<AttributeTag>`
`chooseExcludeList(DicomDirectoryRecord dirRecord)`
`protected void`
`createExcludeLists()`
`protected void`
`doSomethingMoreWithWhateverWasSelected()`
`protected void`
`doSomethingWithSelectedFiles(Vector paths)`
`DicomDirectory`
`getDicomDirectory()`
Get this directory, initializing any structures necessary.
`String`
`getParentFilePath()`
`static void`
`main(String[] arg)`
`protected void`
`setFont(Font font)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DicomDirectoryBrowser

public DicomDirectoryBrowser(AttributeList list, String parentFilePath) throws DicomException

Parameters:
  `list` - a list of attributes describing a DICOMDIR instance
  `parentFilePath` - the path to which all ReferencedFileIDs in the DICOMDIR are relative (i.e., the folder in which the DICONDIR is/will be stored)
Throws:
  `DicomException` - if error in DICOM encoding

### DicomDirectoryBrowser

public DicomDirectoryBrowser(AttributeList list, String parentFilePath, JScrollPane treeBrowserScrollPane, JScrollPane attributeBrowserScrollPane) throws DicomException

Parameters:
  `list` - a list of attributes describing a DICOMDIR instance
  `parentFilePath` - the path to which all ReferencedFileIDs in the DICOMDIR are relative (i.e., the folder in which the DICONDIR is/will be stored)
  `treeBrowserScrollPane` - where to put the tree browser for the directory
  `attributeBrowserScrollPane` - where to put the attribute browser for a selected record
Throws:
  `DicomException` - if error in DICOM encoding

### DicomDirectoryBrowser

public DicomDirectoryBrowser(AttributeList list, String parentFilePath, JFrame frame) throws DicomException

Parameters:
  `list` - a list of attributes describing a DICOMDIR instance
  `parentFilePath` - the path to which all ReferencedFileIDs in the DICOMDIR are relative (i.e., the folder in which the DICONDIR is/will be stored)
  `frame` - where to put the browsers
Throws:
  `DicomException` - if error in DICOM encoding

## Method Details

### setFont

protected void setFont(Font font)

Parameters:
  `font` - font to use

### buildTreeSelectionListenerToDoSomethingWithSelectedFiles

protected TreeSelectionListener buildTreeSelectionListenerToDoSomethingWithSelectedFiles(String parentFilePath)

Parameters:
  `parentFilePath` - parent directory at which DICOMDIR file paths are rooted
Returns:
  a TreeSelectionListener

### buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord

protected TreeSelectionListener buildTreeSelectionListenerToDisplayAttributesOfSelectedRecord(JScrollPane attributeBrowserScrollPane)

Parameters:
  `attributeBrowserScrollPane` - where to display the attributes of the selected record
Returns:
  a TreeSelectionListener

### buildMouseListenerToDetectDoubleClickEvents

protected MouseListener buildMouseListenerToDetectDoubleClickEvents()

Returns:
  a MouseListener to detect double click events

### chooseExcludeList

protected HashSet<AttributeTag> chooseExcludeList(DicomDirectoryRecord dirRecord)

Parameters:
  `dirRecord` - the directory record for which we need to select an exclude list based on its DirectoryRecordType
Returns:
  the appropriate list of attributes to exclude from display based on DirectoryRecordType, or the defaultExcludeList if DirectoryRecordType unrecognized

### createExcludeLists

protected void createExcludeLists()

### getDicomDirectory

public DicomDirectory getDicomDirectory()

Get this directory, initializing any structures necessary.

Returns:
  this directory

### getParentFilePath

public String getParentFilePath()

Returns:
  the parent file path

### doSomethingWithSelectedFiles

protected void doSomethingWithSelectedFiles(Vector paths)

Parameters:
  `paths` - the file paths selected

### doSomethingMoreWithWhateverWasSelected

protected void doSomethingMoreWithWhateverWasSelected()

### main

public static void main(String[] arg)

Parameters:
  `arg` - a DICOMDIR file